usbpsu: xusb_freertos_audio.c File Reference

| usbpsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xusb_freertos_audio.c File Reference

## Overview

This file implements the ISO IN and ISO OUT data transfer.

It transfers and receives audio data on High or Super Speed bus based on connection.

requirement zcu102 board in usb device mode, connected with host using USB 3.0 cable

Following other files require to run this example o xusb_ch9.c, xusb_ch9.h o xusb_freertos_ch9_audio.c, xusb_freerots_ch9_audio.h o xusb_freertos_class_audio.c, xusb_freertos_class_audio.h

o on success example will be detected as audio device o use aplay/arecord for play or record audio

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   rb   26/03/18 First release
    1.5   vak  03/25/19 Fixed incorrect data_alignment pragma directive for IAR

## Functions
void | SetupInterruptSystem (struct XUsbPsu *InstancePtr, u16 UsbIntrId)
| This function setups the interrupt system such that interrupts can occur. More...
int | main (void)
| This function is the main function of the USB audio example. More...

## Function Documentation

int main | ( | void |  | ) |

This function is the main function of the USB audio example.

Parameters

  None |

Returns
  - XST_SUCCESS if successful,
  - XST_FAILURE if unsuccessful.

Note
  None.

void SetupInterruptSystem | ( | struct XUsbPsu * | InstancePtr,
|  | u16 | UsbIntrId
| ) |  |

This function setups the interrupt system such that interrupts can occur.

This function is application specific since the actual system may or may not have an interrupt controller. The USB controller could be directly connected to a processor without an interrupt controller. The user should modify this function to fit the application.

Parameters

  InstPtr | is a pointer to the XUsb instance.
  UsbIntrId | is the interrupt ID of the USB controller

Returns
  None

Note
  None.

References SetupInterruptSystem(), XUsbPsu_EnableIntr(), and XUsbPsu_IntrHandler().

Referenced by main(), and SetupInterruptSystem().